import socket
import sys
import thread

port = int(sys.argv[1])
message = sys.argv[2]

# Create a TCP/IP socket
sock = socket.socket(socket.AF_INET, socket.SOCK_STREAM)

def on_new_client(connection,client_address):
	try:
		print >>sys.stderr, 'client connected:', client_address
		connection.sendall("ASCII Inc.\r\n" + message)
		while True:
			data = connection.recv(2048)
			print >>sys.stderr, 'received "%s"' % data
			if data:
				# connection.sendall(data)
				connection.sendall(message)
				break
			else:
				break
	finally:
		connection.close()


# Bind the socket to the address given on the command line
server_address = ('', port)
sock.bind(server_address)
print >>sys.stderr, 'starting up on %s port %s' % sock.getsockname()
sock.listen(1)

while True:
	print >>sys.stderr, 'waiting for a connection'
	connection, client_address = sock.accept()
	thread.start_new_thread(on_new_client,(connection,client_address))